pandoc

Portability | portable
Stability | alpha
Maintainer | John MacFarlane <jgm@berkeley.edu>
Safe Haskell | Safe-Infered

Text.Pandoc.ImageSize

Description

Functions for determining the size of a PNG, JPEG, or GIF image.

# Documentation

data ImageType

Constructors

Png |
Gif |
Jpeg |

Instances

Show ImageType |

imageType :: ByteString -> Maybe ImageType

imageSize :: ByteString -> Maybe ImageSize

sizeInPixels :: ImageSize -> (Integer, Integer)

sizeInPoints :: ImageSize -> (Integer, Integer)

readImageSize :: FilePath -> IO (Maybe ImageSize)